@charset "UTF-8";
/*==============================================================================
1.ページタイトル
2.カラム
2.カテゴリ・日付・h1
3.見出し・その他コンテンツ部分
==============================================================================*/

/*============================================================================================================================================================
==============================================================================================================================================================

	1.ページタイトル

==============================================================================================================================================================
============================================================================================================================================================*/
#title{
    &::before{
        background-image: url(../1_img/base/title-deco_sp_gray.svg);
    }
}
@media all and (min-width: 769px){
    #title{
        &::before{
            background-image: url(../1_img/base/title-deco_pc_gray.svg);
        }
    }
}
.content{
    background-color: #eeeeee;
}

/*============================================================================================================================================================
==============================================================================================================================================================

	2.カラム

==============================================================================================================================================================
============================================================================================================================================================*/
#content {
    & > .inner{
        display: flex;
        flex-direction: column;
        flex-wrap: wrap;

        &.column-two{
            justify-content: space-between;
            align-items: flex-start;
        }

        & .article{
            width: 100%;

            & .content-post{
                padding: 20px;
                background-color: var(--color-white);
            }
        }
    }
}
/*==============================================================================

	カラム pc

==============================================================================*/
@media all and (min-width: 769px){
    #content {
        & > .inner{
            &.column-one{
                & .article{
                    width: 100%;
                }
            }
            &.column-two{
                flex-direction: row;

                & .article{
                    width: 620px;
                }
            }
        }
    }
}

/*============================================================================================================================================================
==============================================================================================================================================================

	3.カテゴリ・日付・h1

==============================================================================================================================================================
============================================================================================================================================================*/
#content .content-post .cate-date{
    margin-top: 10px;
    position: relative;

    /*======= カテゴリ =======*/
    & .cate{    
        position: absolute;
        width: 100%;
        top: -30px;
        left: 0;
        text-align: center;

        & a{
            display: inline-block;
            position: relative;
            transform: translateY(-50%);

            & span{
                min-width: 130px;
                padding: 0px 10px;
                display: -webkit-box;
                color: var(--color-font);
                text-align: center;
                background-color: var(--color-accent);
                font-weight: var(--weight-bold);
                line-height: 2.5;
                font-size: 1.4rem;
                -webkit-box-orient: vertical;
                -webkit-line-clamp: 1;
                overflow: hidden;
            }

            /* blogの子カテゴリ */
            &[class^="b_"] span,
            &[class*=" b_"] span {
                background-color: var(--color-accent);

                &::after {
                    content: "";
                    width: 12px;
                    height: 6px;
                    position: absolute;
                    top: calc(100% - 1px);
                    left: 50%;
                    transform: translateX(-50%);
                    background-color: var(--color-accent);
                    clip-path: polygon(0 0, 50% 100%, 100% 0);
                }
            }

            /* topics&newsの子カテゴリ */
            &[class^="tn_"],
            &[class*=" tn_"] {
                color: #fff;
                background-color: var(--color-main);
            }
        }
    }

    /*======= 日付 =======*/
    & .date{
        font-size: 1.5rem;
        font-family: var(--font-en);
        font-weight: var(--weight-semibold);
    }
}
/*==============================================================================

	カラム pc

==============================================================================*/
@media all and (min-width: 769px){
    #content .content-post .cate-date{
        margin-top: 20px;

        /*======= カテゴリ =======*/
        & .cate{
            top: -40px;

            & a{

                & span{
                    min-width: 200px;
                    font-size: 1.8rem;
                }
            }
        }
    }
}